/* REXX: Select on Gender (FeMale) */

/*  Function     : Demonstration agent whose task is to determine
                   whether the current source record contains the
                   value "F" in byte 16. Uses the function GetData()
                   to return the entire record image.
    Created      : February 10, 1996
    Modifications:
*/
 
/* Return true, if "F" is found, false otherwise. 
*/
    SELECT
        WHEN SUBSTR(GetData("Record"),16,1)== "F"
            THEN
                RETURN 1
        OTHERWISE
            RETURN 0
    END