/* REXX: Select on Gender (Male) */

/*  Function     : Demonstration agent whose task is to determine
                   whether the current source record contains the
                   value "M" in byte 16. Uses function GetData() to
                   return the entire record image.
    Created      : February 10, 1996
    Modifications:
*/
 
/* Return true, if "M" is found, false otherwise. 
*/
    SELECT
        WHEN SUBSTR(GetData("Record"),16,1)== "M"
            THEN
                RETURN 1
        OTHERWISE
            RETURN 0
    END