/* REXX */

/*  Function     : Fictional agent always returning a value
                   of true. Used to build and test selection trees.
                   Functions as a "stand-in" for an agent yet to be
                   built, but whose value is nonetheless required
                   to test the selection tree.
    Created      : February 10, 1996
    Modifications:
*/
    
/* Return true. 
*/
    DO I1 = Children("Count") BY -1 TO 1,
            WHILE Children("Result",,
                           I1) == "N"
    END
    RETURN \Children("Result",,
                     I1)