/* REXX: Select on Party (Republican) */

/*  Function     : Demonstration agent whose task is to determine
                   whether the current source record contains the
                   value "Republican" in the consecutive byte
                   locations starting in byte 18. Uses the function
                   GetData() to retrieve the entire record image.
    Created      : February 10, 1996
    Modifications:
*/
 
/* Return true, if "Republican" is found, false otherwise. 
*/
    SELECT
        WHEN STRIP(SUBSTR(GetData("Record"),18,11)) == "Republican"
            THEN
                RETURN 1
        OTHERWISE
            RETURN 0
    END